/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.common.views.pdfstyle;


public enum CStyleType {

    UNKNOWN,
    ANNOT_TEXT,
    ANNOT_HIGHLIGHT,
    ANNOT_UNDERLINE,
    ANNOT_SQUIGGLY,
    ANNOT_STRIKEOUT,
    ANNOT_INK,
    ANNOT_CIRCLE,
    ANNOT_SQUARE,
    ANNOT_ARROW,
    ANNOT_LINE,
    ANNOT_FREETEXT,
    ANNOT_SIGNATURE,
    ANNOT_STAMP,
    ANNOT_PIC,
    ANNOT_LINK,
    ANNOT_SOUND,
    EDIT_TEXT,
    EDIT_IMAGE,
    FORM_PUSH_BUTTON,
    FORM_CHECK_BOX,
    FORM_RADIO_BUTTON,
    FORM_TEXT_FIELD,
    FORM_COMBO_BOX,
    FORM_LIST_BOX,
    FORM_SIGNATURE_FIELDS,
    FORM_UNKNOWN

}
